(() => {
  // package.json
  var config = {
    addonName: "Better Notes for Zotero",
    addonID: "Knowledge4Zotero@windingwind.com",
    addonRef: "BetterNotes",
    prefsPrefix: "extensions.zotero.Knowledge4Zotero",
    addonInstance: "BetterNotes",
    dataSchemaVersion: "8"
  };

  // src/utils/prefs.ts
  function getPref(key) {
    return Zotero.Prefs.get(`${config.prefsPrefix}.${key}`, true);
  }
  function setPref(key, value) {
    return Zotero.Prefs.set(`${config.prefsPrefix}.${key}`, value, true);
  }

  // src/extras/linkCreator.ts
  var tabbox;
  var inboundCreator;
  var outboundCreator;
  var io;
  window.onload = async function() {
    if (document.readyState === "complete") {
      setTimeout(init, 0);
      return;
    }
    document.addEventListener("DOMContentLoaded", init, { once: true });
  };
  window.onunload = function() {
    io.deferred && io.deferred.resolve();
    setPref(
      "windows.linkCreator.size",
      `${document.documentElement.getAttribute(
        "width"
      )},${document.documentElement.getAttribute("height")}`
    );
    setPref("windows.linkCreator.tabIndex", tabbox.selectedIndex);
  };
  function init() {
    const sbc = document.getElementById("top-container");
    Zotero.UIProperties.registerRoot(sbc);
    setTimeout(() => {
      const size = (getPref("windows.linkCreator.size") || "").split(
        ","
      );
      window.resizeTo(Number(size[0] || "800"), Number(size[1] || "600"));
    }, 0);
    io = window.arguments[0];
    tabbox = document.querySelector("#top-container");
    tabbox.selectedIndex = getPref("windows.linkCreator.tabIndex") || 0;
    tabbox.addEventListener("select", loadSelectedPanel);
    inboundCreator = document.querySelector(
      "bn-inbound-creator"
    );
    outboundCreator = document.querySelector(
      "bn-outbound-creator"
    );
    loadSelectedPanel();
    document.addEventListener("dialogaccept", doAccept);
  }
  async function loadSelectedPanel() {
    const content = getSelectedContent();
    await content.load(io);
  }
  async function acceptSelectedPanel() {
    await getSelectedContent().accept(io);
  }
  function getSelectedContent() {
    return tabbox.selectedPanel.querySelector("[data-bn-type=content]");
  }
  async function doAccept() {
    await acceptSelectedPanel();
  }
})();
