(() => {
  // src/extras/workspaceWindow.ts
  window.addEventListener("DOMContentLoaded", () => {
    const registeredKey = Zotero.Notifier.registerObserver({
      notify(action, type, ids, extraData) {
        if (action === "modify" && type === "item") {
          const item = getItem();
          if (ids.includes(item.id)) {
            updateTitle();
          }
        }
      }
    });
    window.addEventListener(
      "unload",
      () => {
        Zotero.Notifier.unregisterObserver(registeredKey);
      },
      { once: true }
    );
    window.arguments[0]._initPromise.resolve();
  });
  function updateTitle() {
    const item = getItem();
    if (item?.isNote()) {
      document.title = item.getNoteTitle();
    }
  }
  function getItem() {
    return document.querySelector("bn-workspace")?.item;
  }
  window.updateTitle = updateTitle;
})();
